## haskell-ieee754 0.8.0

=== tests/Makefile ===
all:
	ghc -O ../cbits/double.c ../cbits/float.c -lm \
	    -i. -i.. Tests.hs --make -o test-ieee
	./test-ieee

hpc:
	ghc -fforce-recomp ../cbits/double.c ../cbits/float.c -lm \
	    -i. -i.. -fhpc --make Tests.hs -o test-ieee
	rm -f test-ieee.tix
	./test-ieee
	hpc markup test-ieee

clean:
	find ../lib . -name '*.hi' | xargs rm -f
	find ../lib . -name '*.o'  | xargs rm -f
	find . -name '*.html' | xargs rm -f
	rm -f test-ieee test-ieee.tix
	rm -rf .hpc

## haskell-ieee754 0.7.3

=== debian/changelog ===
haskell-ieee754 (0.7.3-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:10 +0200

haskell-ieee754 (0.7.3-2) experimental; urgency=low

  [ Iulian Udrea ]
  * debian/control: containts -> contains.
  * debian/copyright: use DEP 5; machine-readable.

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:19 +0200

haskell-ieee754 (0.7.3-1) unstable; urgency=low

  * Initial release.

 -- Iulian Udrea <iulian@physics.org>  Thu, 01 Jan 1970 00:00:00 +0000

=== debian/control ===
Source: haskell-ieee754
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@physics.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9),
               cdbs, 
               haskell-devscripts (>= 0.8.15), 
               ghc, 
               ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/ieee754
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-ieee754
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-ieee754

Package: libghc-ieee754-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers, 
 ported from the Tango math library; approximate and exact equality comparisons 
 for general types. 
 .
 ${haskell:Blurb}

Package: libghc-ieee754-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers, 
 ported from the Tango math library; approximate and exact equality comparisons 
 for general types.
 .
 ${haskell:Blurb}

Package: libghc-ieee754-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers, 
 ported from the Tango math library; approximate and exact equality comparisons 
 for general types.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|ieee754-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/ieee754 \
    ([\d\.]*\d)/

## haskell-ieee754 0.7.6

=== debian/changelog ===
haskell-ieee754 (0.7.6-4build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 14:30:13 +0100

haskell-ieee754 (0.7.6-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:51:01 +0200

haskell-ieee754 (0.7.6-3) experimental; urgency=medium

  * Upload the right stuff to experimental. Sigh.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Feb 2015 10:57:46 +0100

haskell-ieee754 (0.7.6-2) unstable; urgency=medium

  * Last upload should have gone to experimental, overriding this here, but
    stick with 0.7.6 -- the changes are almost equal to the patch in 0.7.3-5.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Feb 2015 10:53:07 +0100

haskell-ieee754 (0.7.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Feb 2015 10:26:02 +0100

haskell-ieee754 (0.7.3-5) unstable; urgency=medium

  * Backport endianness detection fix from upstream (Closes: 774881)
    Thanks to Jurica Stanojkovic for preparing the patch.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Feb 2015 10:18:28 +0100

haskell-ieee754 (0.7.3-4) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
                cdbs, 
-               haskell-devscripts (>= 0.8.15), 
+               haskell-devscripts (>= 0.9), 
                ghc, 
                ghc-prof
 Build-Depends-Indep: ghc-doc

=== debian/watch ===
version=3
http://hackage.haskell.org/package/ieee754/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-ieee754 0.7.8

=== debian/changelog ===
haskell-ieee754 (0.7.8-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 25 May 2016 12:59:46 -0400

haskell-ieee754 (0.7.6-6) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:39 -0500

haskell-ieee754 (0.7.6-5) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:59 +0200

=== debian/control ===
Source: haskell-ieee754
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@physics.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.8
Homepage: http://github.com/patperry/hs-ieee754
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git

Package: libghc-ieee754-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

Package: libghc-ieee754-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

Package: libghc-ieee754-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

## haskell-ieee754 0.8.0

=== debian/changelog ===
haskell-ieee754 (0.8.0-6) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 12:39:55 +0300

haskell-ieee754 (0.8.0-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 29 Jun 2022 20:45:36 +0300

haskell-ieee754 (0.8.0-4) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 14:21:57 +0300

haskell-ieee754 (0.8.0-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:12:39 +0300

haskell-ieee754 (0.8.0-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:54 -0400

haskell-ieee754 (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 17:16:50 -0400

haskell-ieee754 (0.7.9-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:53:14 -0400

haskell-ieee754 (0.7.8-4) unstable; urgency=medium

  * Rename local versions of nextdown, nextdownf, nextup, nextupf,
    because of prototype collision when building with
    unregisterised GHC 8.0.

 -- Clint Adams <clint@debian.org>  Thu, 03 Nov 2016 13:25:14 -0400

haskell-ieee754 (0.7.8-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:29 -0400

haskell-ieee754 (0.7.8-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 23:23:12 -0400

=== debian/control ===
Source: haskell-ieee754
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@physics.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
Build-Depends-Indep: ghc-doc
Standards-Version: 4.6.2
Homepage: http://github.com/patperry/hs-ieee754
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ieee754
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ieee754]

Package: libghc-ieee754-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

Package: libghc-ieee754-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

Package: libghc-ieee754-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Utilities for dealing with IEEE floating point numbers${haskell:ShortBlurb}
 This package contains utilities for dealing with IEEE floating point numbers,
 ported from the Tango math library; approximate and exact equality comparisons
 for general types.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
https://hackage.haskell.org/package/ieee754/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
